package com.xunhong.erp.turbo.api.biz.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum OrderShipStateEnum {
	/**
	 * 发货单状态：0_草稿；1_待发货；2_待回款；3_待改签；4_部分回款；5_已回款；6_拒收完结；7_已完结；
	 */
	DRAFT(0, "草稿"),
	WAIT_SHIPMENT(1, "待发货"),
	WAIT_PAYMENT(2, "待回款"),
	WAIT_CHANGE(3, "待改签"),
	PARTIAL_PAYMENT(4, "部分回款"),
	FULL_PAYMENT(5, "已回款"),
	REJECT_FINISH(6, "拒收完结"),
	FINISH(7, "已完结");

	@EnumValue
	private final int type;

	private final String message;
}
